aboutsummaryrefslogtreecommitdiffstats
path: root/testing/harminv
diff options
context:
space:
mode:
authorIsaac Dunham <ibid.ag@gmail.com>2015-07-22 22:08:37 -0700
committerFrancesco Colista <fcolista@alpinelinux.org>2015-07-27 08:35:31 +0000
commit70fada722efa5969c6cbcf766dc89ba56d05f684 (patch)
treed8f483d3622b72872f93b5a3ab30642f75763424 /testing/harminv
parent7180e3fee7185e6fafffe5e750173838cec0c430 (diff)
downloadaports-70fada722efa5969c6cbcf766dc89ba56d05f684.tar.gz
aports-70fada722efa5969c6cbcf766dc89ba56d05f684.tar.bz2
aports-70fada722efa5969c6cbcf766dc89ba56d05f684.tar.xz
testing/harminv: new aport.
Diffstat (limited to 'testing/harminv')
-rw-r--r--testing/harminv/APKBUILD51
1 files changed, 51 insertions, 0 deletions
diff --git a/testing/harminv/APKBUILD b/testing/harminv/APKBUILD
new file mode 100644
index 0000000000..921f849fd3
--- /dev/null
+++ b/testing/harminv/APKBUILD
@@ -0,0 +1,51 @@
+# Contributor: Isaac Dunham <ibid.ag@gmail.com>
+# Maintainer:
+pkgname=harminv
+pkgver=1.4
+pkgrel=0
+pkgdesc="Free program to solve the problem of harmonic inversion"
+url="http://ab-initio.mit.edu/wiki/index.php/Harminv"
+arch="all"
+license="GPL"
+depends=""
+depends_dev="openblas-dev"
+makedepends="$depends_dev gfortran"
+install=""
+subpackages="$pkgname-dev $pkgname-doc $pkgname-libs"
+source="http://ab-initio.mit.edu/harminv/harminv-$pkgver.tar.gz"
+
+_builddir="$srcdir"/harminv-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ ./configure \
+ --build=$CBUILD \
+ --host=$CHOST \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --mandir=/usr/share/man \
+ --infodir=/usr/share/info \
+ --localstatedir=/var \
+ --disable-static --enable-shared \
+ || return 1
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+ rm -f "$pkgdir"/usr/lib/*.la
+}
+
+md5sums="b95e24a9bc7e07d3d2202d1605e9e86f harminv-1.4.tar.gz"
+sha256sums="538e9b7766abcb0bf9db74cf47de5c4e8dfe8d724b047ea68550a5ee4c43b5de harminv-1.4.tar.gz"
+sha512sums="c3a5153bdd5ab4b160407bcd50f4843708c2f5924074fdfe88890e8770d6a874178a69e83cd615cdecce04d80a3a92133d435f7245c0a21962e1e18a14fb63f5 harminv-1.4.tar.gz"